Name:           perl-Module-Metadata-Changes
Version:        2.06
Release:        2%{?dist}
Summary:        Manage a module's machine-readable Changes/CHANGES file
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Metadata-Changes/
Source0:        http://www.cpan.org/authors/id/R/RS/RSAVAGE/Module-Metadata-Changes-%{version}.tgz
# Install bin scripts, CPAN RT#102247
Patch0:         Module-Metadata-Changes-2.06-Install-bin-ini.report.pl.patch
# Search templates and CSS in the system directories
Patch1:         Module-Metadata-Changes-2.06-Search-assets-in-system-directories.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  sed
BuildRequires:  web-assets-devel
# Run-time:
BuildRequires:  perl(Config::IniFiles) >= 2.88
# DateTime nowhere used
BuildRequires:  perl(DateTime::Format::HTTP) >= 0.42
BuildRequires:  perl(DateTime::Format::Strptime) >= 1.61
BuildRequires:  perl(DateTime::Format::W3CDTF) >= 0.06
BuildRequires:  perl(File::Slurper) >= 0.008
# Getopt::Long not used at tests
# Upstream requires bogus HTML::Entities::Interpolate 1.06 version,
# CPAN RT#109480
BuildRequires:  perl(HTML::Entities::Interpolate) >= 1.05
BuildRequires:  perl(HTML::Template) >= 2.95
BuildRequires:  perl(Moo) >= 2.000002
# Pod::Usage not used at tests
BuildRequires:  perl(strict)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(version)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::Stream) >= 1.302026
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Config::IniFiles) >= 2.88
Requires:       perl(DateTime::Format::HTTP) >= 0.42
Requires:       perl(DateTime::Format::Strptime) >= 1.61
Requires:       perl(DateTime::Format::W3CDTF) >= 0.06
# Upstream requires bogus HTML::Entities::Interpolate 1.06 version,
# CPAN RT#109480
Requires:       perl(HTML::Entities::Interpolate) >= 1.05
Requires:       perl(HTML::Template) >= 2.95
Requires:       perl(File::Slurper) >= 0.008
Requires:       perl(Moo) >= 2.000002
Requires:       web-assets-filesystem

%{?perl_default_filter}

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Config::IniFiles|DateTime::Format::W3CDTF|File::Slurper|HTML::Entities::Interpolate|HTML::Template|Moo)\\)$

%description
Module::Metadata::Changes is a pure Perl module. It allows you to convert
old-style Changes/CHANGES files, and to read and write Changelog.ini files.

%prep
%setup -q -n Module-Metadata-Changes-%{version}
# Enable writing for patching
find -type f -exec chmod u+w {} +
%patch0 -p1
%patch1 -p1
chmod -x scripts/report.names.pl
sed -i -e '1 s/^#!.*/#!perl/' bin/ini.report.pl

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

# Install templates
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/module/metadata/changes
install -m 0644 \
    -t $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/module/metadata/changes \
    htdocs/assets/templates/module/metadata/changes/*

# Install web assets
install -d $RPM_BUILD_ROOT%{_webassetdir}/%{name}/css/module/metadata/changes
install -m 0644 \
    -t $RPM_BUILD_ROOT%{_webassetdir}/%{name}/css/module/metadata/changes \
    htdocs/assets/css/module/metadata/changes/*

%check
make test

%files
%license LICENSE
# The Changelog.ini is an example for ini.report.pl tool
%doc Changelog.ini Changes README scripts
%{_bindir}/*
%{perl_vendorlib}/*
%{_datadir}/%{name}
%{_webassetdir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 23 2015 Petr Pisar <ppisar@redhat.com> - 2.06-1
- 2.06 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.05-2
- Perl 5.22 rebuild

* Thu Feb 19 2015 Petr Pisar <ppisar@redhat.com> 2.05-1
- Specfile autogenerated by cpanspec 1.78.
